​

Get custom property file

GET
https://example.kaiten.ru/api/latest/cards/{card_uid}/custom-properties/{property_uid}/files/{id}

Returns file metadata together with a signed URL. Pass redirect=true to get a redirect to the file instead, download=true to force a download.

Path parameters
NameTypeReference
card_uidrequiredstring (uuid)Card UID
property_uidrequiredstring (uuid)Custom property UID
idrequiredstring (uuid)File UID
Headers
NameValueDescription
AuthorizationrequiredBearer <token>API token is required
Query
NameTypeConstraintsDescription
redirectbooleanIf true, the server responds with a 302 redirect to the signed file URL instead of the JSON metadata
downloadbooleanIf true, the signed file URL serves the file with Content-Disposition: attachment
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string (uuid)

File UID
name

string

File name
size

null | string (bigint)

File size in bytes
mime_type

string (mime-type)

MIME type
entity_type

string

File entity type, always custom_property
created

string (date-time)

Creation date and time
updated

string (date-time)

Last update date and time
card_uid

string (uuid)

Card UID
custom_property_uid

string (uuid)

Custom property UID
author_uid

string (uuid)

Author UID
card_cover

boolean

Flag indicating that image is used as card cover
url

string (uri)

Temporary signed URL to the file content. Images, videos and PDF files are served inline, other types as an attachment; with download=true always as an attachment. The URL expires shortly, request the file again instead of caching it
302
DescriptionResponse typeExample
SuccessRedirectResponse body does not exist
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
422
DescriptionResponse typeExample
The file is maliciousObjectResponse body does not exist
Response Attributes
NameTypeDescription
message

string

Error message
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_uid}/custom-properties/{property_uid}/files/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!